

# 다보리 Frontend에서의 Laravel .env 사용법

Daboty Frontend에서는 Laravel에서 기본으로 제공하는 .env 항목이외에 항상 이용되는 변수를 추가하여 사용하고 있습니다.

 .env 화일과 이외에 Backend와 연결하기 위한 .env.dabory가 별도의 화일로 사용되고 있습니다.

- [Lavavel .env 기본 메뉴얼](https://laravel.kr/docs/5.7/configuration).
- [Lavavel .env Example](https://zetawiki.com/wiki/%EB%9D%BC%EB%9D%BC%EB%B2%A8_.env,_.env.example).

## .env 변수 설명 
### [Dabory]
ERP_THEMES=업종특화 소스코드 분리 위해 사용 (themes/erp 폴더 임포트)

PRO_THEME=PRO 소스코드 분리하기 위해 사용 (themes/pro 폴더 임포트)

LOCALE_SEQUENCE=다국어 사용 목록

APP_MOBILE_NO=아직 사용X

TAG_LINE=아직 사용X

CDN_TYPE=미디어 CDN (aws-s3 or local)

MEDIA_URL=미디어 base url 지정(미디어가 local or a3)

FAVICON_PATH=파비콘 파일 path

IS_SKIP_DBUPDATE=DBUPDATE 스킵 or 사용

IS_ON_MEMBER_SIGNUP=아직 사용X

## [MetaMask]
CHAIN_ID=0xE67B

CHAIN_NAME='Dang Smart Chain'

RPC_URLS=http://3.38.62.211:8545

NATIVE_CURRENCY_NAME=DGT

NATIVE_CURRENCY_SYMBOL=DGT

NATIVE_CURRENCY_DECIMALS=18

BLOCK_EXPLORER_URLS=https://explorer-staging.dangnn.co.kr

### [asset & cache]
BROWSER_CACHE=브라우저 캐시사용

CSSJS_URL=local or asset url 입력

### [Printer]
REPORT_SERVER_URL=프린터 서버 base url

### [Laravel]
APP_NAME=앱 이름

APP_ENV=.env 기본 메뉴얼 참고

APP_KEY=base64:.env 기본 메뉴얼 참고

APP_DEBUG=.env 기본 메뉴얼 참고

APP_URL=앱 url

LOG_CHANNEL=stack

LOG_LEVEL=debug

DB_CONNECTION=사용x

DB_HOST=사용x

DB_PORT=사용x

DB_DATABASE=사용x

DB_USERNAME=사용x

DB_PASSWORD=사용x


BROADCAST_DRIVER=사용x
CACHE_DRIVER=사용x
FILESYSTEM_DRIVER=사용x
QUEUE_CONNECTION=사용x
SESSION_DRIVER=사용x
SESSION_LIFETIME=사용x

MEMCACHED_HOST=사용x

REDIS_HOST=사용x
REDIS_PASSWORD=사용x
REDIS_PORT=사용x

MAIL_MAILER=.env 기본 메뉴얼 참고
MAIL_HOST=.env 기본 메뉴얼 참고
MAIL_PORT=.env 기본 메뉴얼 참고
MAIL_USERNAME=.env 기본 메뉴얼 참고
MAIL_PASSWORD=.env 기본 메뉴얼 참고
MAIL_ENCRYPTION=.env 기본 메뉴얼 참고
MAIL_FROM_ADDRESS=.env 기본 메뉴얼 참고
MAIL_FROM_NAME=.env 기본 메뉴얼 참고

AWS_ACCESS_KEY_ID=.env 기본 메뉴얼 참고
AWS_SECRET_ACCESS_KEY=.env 기본 메뉴얼 참고
AWS_DEFAULT_REGION=.env 기본 메뉴얼 참고
AWS_BUCKET=.env 기본 메뉴얼 참고
AWS_USE_PATH_STYLE_ENDPOINT=.env 기본 메뉴얼 참고

PUSHER_APP_ID=사용x
PUSHER_APP_KEY=사용x
PUSHER_APP_SECRET=사용x
PUSHER_APP_CLUSTER=사용x

MIX_PUSHER_APP_KEY=사용x
MIX_PUSHER_APP_CLUSTER=사용x

ANALYTICS_UA_ID=
ANALYTICS_VIEW_ID=

ANALYTICS_G_ID=
ANALYTICS_PROPERTY_ID=
