

## golang install : go1.17 or above

## Folder Location : PHPPATH

##  1. How to run php-docker
 
###  # cdphp
###  # cd php_folder (run ls command to find a specific php_folder)
###  # dkrmcu-remove-containers-and-compose-up
  
.  
##  2. How to stop php-docker (delete all docker containers)
###  # cdphp
###  # cd php_folder
###  # docker rm -f $(docker ps -a -q)

.
## 3. Configuration
 
### .env Location : $HOME/.env (Laravel Env variable and Dabory variable combined)
 
### .env.dabory Location : $HOME/.env.dabory (Dabory API Connection and Token Keys)

#### Note1 : There are divided concepts of ERP / PRO in dabory solution from the other web/app solutions.
   ERP is for backoffice pages for company or organization staffs and managers (Extension of Admin Page)
   
   PRO is for frontoffice pages for guest and customer member who are outside of company or organization (Extension of Service Page)

#### Note2 : Dabory Media Library is inspired by Wordpress media library and extened for more wide range of use.

#### Note3 : All of variables "Laravel" sub item can be referred in website below.
    https://laravel.com/docs/7.x/configuration

### Important !! : In development or web design stage, You should set .env as follows:
1. BROWSER_CACHE=false
2. CSSJS_URL=local

This reduces website rendering speed, but changes in js script and css are fed to web pages in no time. 
 

## .env Variable Description.

|    Type  |      Name      |  Usage | Applied | Remarks |
|----------|-------------|------|------|------|
| Dabory| ERP_THEMES| ERP theme | | Can be multiple themes|
| | PRO_THEME| PRO theme| | only one theme available for one site|
| | LOCALE_SEQUENCE| Language and Local Sequence| | Separated by comma |
| | APP_MOBILE_NO| Mobile No for Admin message | | |
| | TAG_LINE| Page Tag for SEO| | |
| | MEDIA_URL| File upload URL| | Local, Website and CDN such as S3 available|
| | FAVICON_PATH| Pavicon File Path| | |
| | IS_SKIP_DBUPDATE| Skip DB update | | |
| | IS_ON_MEMBER_SIGNUP| | Yes| |
| | BROWSER_CACHE| Browser Cache Available| | |
|Printer | REPORT_SERVER_URL| Shared Report Server| | Crystal Report suppored |
| Laravel| APP-xxx| Refer Laravel Manual site for more info |  | https://laravel.com/docs/7.x/configuration|
| | DB_CONNECTION| | Yes | Dabory Does Not use Eloquent ORM in Laravel|
| | AWS_ACCESS_XXX | | | Dabory use S3 as media library|
| | PUSHER_APP_ID| | No| |
| | LOG_CHANNEL| | No| |
| | MEMCACHED_HOST| | No| |
| | SESSION_DRIVER| | No| |
| | REDIS_HOST| | No| |
| | MAIL_MAILER| | | Dabory use S3 as mailer in Laravel|
| | PUSHER_APP_ID| | No| |
| | MIX_PUSHER_APP_KEY| | No| |
